Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport
Class ConnectorLifecycleManager

    java.lang.Object
      org.mule.lifecycle.AbstractLifecycleManager<O>
          org.mule.lifecycle.SimpleLifecycleManager<Connector>
              org.mule.transport.ConnectorLifecycleManager

All Implemented Interfaces:
  LifecycleManager

    public class ConnectorLifecycleManager

extends SimpleLifecycleManager<Connector>

Manages the lifecycle of connectors in Mule. Currently only manages the 'initialsie', 'start', 'stop' and dispose phases, not the connect phase which is managed by the Retry handler

Since:
  3.0

Field Summary

Fields inherited from class org.mule.lifecycle.AbstractLifecycleManager
`completedPhases, currentPhase, executingPhase, lifecycleManagerId, logger, object, phaseNames, state`

Fields inherited from interface org.mule.api.lifecycle.LifecycleManager
`NOT_IN_LIFECYCLE_PHASE`

Constructor Summary
`ConnectorLifecycleManager(AbstractConnector connector)`

Method Summary
`void` | `fireDisposePhase(LifecycleCallback<Connector> callback)`
`void` | `fireInitialisePhase(LifecycleCallback<Connector> callback)`
`protected void` | `fireNotification(int action)`
`void` | `fireStartPhase(LifecycleCallback<Connector> callback)`
`void` | `fireStopPhase(LifecycleCallback<Connector> callback)`

Methods inherited from class org.mule.lifecycle.SimpleLifecycleManager
`fireLifecycle, registerTransitions`

Methods inherited from class org.mule.lifecycle.AbstractLifecycleManager
`addDirectTransition, checkPhase, createLifecycleState, getCurrentPhase, getExecutingPhase, getLifecycleObject, getState, invokePhase, isDirectTransition, isDirectTransition, isPhaseComplete, notifyTransition, registerLifecycleCallback, reset, setCurrentPhase, setExecutingPhase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectorLifecycleManager

    public ConnectorLifecycleManager(AbstractConnector connector)

Method Detail

### fireInitialisePhase

    public void fireInitialisePhase(LifecycleCallback<Connector> callback)
                             throws MuleException

  Specified by:
    `fireInitialisePhase` in class `SimpleLifecycleManager<Connector>`
  Throws:
    `MuleException`

### fireStartPhase

    public void fireStartPhase(LifecycleCallback<Connector> callback)
                        throws MuleException

  Specified by:
    `fireStartPhase` in class `SimpleLifecycleManager<Connector>`
  Throws:
    `MuleException`

### fireStopPhase

    public void fireStopPhase(LifecycleCallback<Connector> callback)
                       throws MuleException

  Specified by:
    `fireStopPhase` in class `SimpleLifecycleManager<Connector>`
  Throws:
    `MuleException`

### fireDisposePhase

    public void fireDisposePhase(LifecycleCallback<Connector> callback)
                          throws MuleException

  Specified by:
    `fireDisposePhase` in class `SimpleLifecycleManager<Connector>`
  Throws:
    `MuleException`

### fireNotification

    protected void fireNotification(int action)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.